TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

IsNilpotent ( elt-rng x ) -> elt-alg^boo, elt-ord^rat

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 2

### Description

<shortdoc> True iff ring element x is nilpotent (i.e., x^q = 0 for some integer q); if true, returns the index of nilpotence of x, i.e., the smallest q such that x^q = 0. </shortdoc>

### Examples

x_o := MaximalOrder(X^3-X-1); IsNilpotent(Element(x_o,[1,0,1])); IsNilpotent(Zero(x_o));
x_F := NumberField(X^3-X-1); IsNilpotent(Element(x_F,[1,1,0])); IsNilpotent(Zero(x_F));

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack